import type AppRegistry from 'hadron-app-registry';
import React from 'react';
declare type ExplainView = 'json' | 'tree';
declare type ExplainToolbarProps = {
    localAppRegistry: AppRegistry;
    darkMode?: boolean;
    explainErrorMessage?: string;
    resultId: string;
    hasExplainResults: boolean;
    onExecuteExplainClicked: (queryBarStoreState: any) => void;
    showOutdatedWarning: boolean;
    showReadonlyWarning: boolean;
    switchToTreeView: () => void;
    switchToJSONView: () => void;
    viewType: ExplainView;
};
declare const ExplainToolbar: React.ComponentType<ExplainToolbarProps>;
export { ExplainToolbar };
//# sourceMappingURL=explain-toolbar.d.ts.map